#
#  FILE NAME:
#      path_helpers.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# Standard library imports:
import logging
import os


_LOG = logging.getLogger( "p3.base" )


def full_path_split( path ):
    parts = []

    h, t = os.path.split( path )

    while t or (h <> path):
        if t:
            parts.append(t)
        path = h
        h, t = os.path.split( path )

    if h:
        parts.append( h )

    return tuple(p for p in reversed(parts))
