#
#  FILE NAME:
#      decimal_format.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# Standard library imports:
import logging

# P3 imports:
from p3.web.django_apps.template_ext.error import ERROR_STRING


_LOG = logging.getLogger( "p3.web" )


def simple( value, prec ):
    try:
        prec_int = int(prec)
    except ValueError as e:
        _LOG.error( "Following exception occured during conversion of precision value ('%s') to an"
                    " integer: %s", value, str(e) )
        return ERROR_STRING

    try:
        fmt = "{{0:.{0:d}f}}".format( prec_int )
        return fmt.format( value )
    except ValueError as e:
        _LOG.error( "Following exception occured during formatting of '%s' value (%s): %s",
                    value, type(value), str(e) )
        return ERROR_STRING
