#
#  FILE NAME:
#      settings.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# Third party settings:
import django.conf

# P3 imports:
from p3.conf.settings import Settings


def get_django_settings():
    assert django.conf.settings.configured
    raw = dict((s, getattr(django.conf.settings, s))
               for s in dir(django.conf.settings) if Settings.is_valid_setting_name(s))
    return Settings(raw)
